/**
 * Copyright (c) 2010-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the New BSD License (3-clause license).
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the New BSD License (3-clause license)
 * for more details.
 *
 * You should have received a copy of the New BSD License (3-clause license)
 * along with this program/library; If not, see http://directory.fsf.org/wiki/License:BSD_3Clause/
 * for the New BSD License (3-clause license).
 */
package com.ebmwebsourcing.easycommons.time;

import java.util.Calendar;
import java.util.TimeZone;

/**
 * @author Mathieu CARROLLE - EBM WebSourcing
 */
public class SimulatedTime implements Time {

    // init utcTime when class is loaded
    long utcTime = Calendar.getInstance(TimeZone.getTimeZone("UTC")).getTimeInMillis();

    boolean isPaused = false;

    @Override
    public long getUtcTime() {
        if (!isPaused) {
            this.utcTime = Calendar.getInstance(TimeZone.getTimeZone("UTC")).getTimeInMillis();
        }
        return this.utcTime;
    }

    public void pause() {
        this.isPaused = true;
    }

    public void resume() {
        this.isPaused = false;
    }
}
